-- 服务器列表item
Lua_ServerListItem = class("Lua_ServerListItem", Lua_ListCell);
function Lua_ServerListItem:ctor(p)
    self:superCall("ctor", p, "ServerListItem_skin");
end

function Lua_ServerListItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ServerListItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end

function Lua_ServerListItem:setData(data)
    self.data = data;
    if data == nil then
        return;
    end

    self.serverName.text = data.name;
    self.isCreateRoleIcon:setEnable(data.is_create_role == 1);
    self.statusIcon:setAltas("login_atlas", data:getStateIcon());

    if data.ad_status == 1 or data.ad_status == 2 then--新区/推荐
        self.signBg:setAltas("common_altas_1", "ui_common_label_19");
        self.signBg:setEnable(true);
    else
        self.signBg:setEnable(false);
    end
end

function Lua_ServerListItem:onPressClick()
    if self.data == nil then
        return;
    end
    Lua_MsgUtil.callFunc("SELECTE_SERVER", self.data);
end