-- 服务器页签列表item
Lua_ServerTitleItem = class("Lua_ServerTitleItem", Lua_ListCell);
function Lua_ServerTitleItem:ctor(p)
    self:superCall("ctor", p, "ServerTitleItem_skin");
end

function Lua_ServerTitleItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ServerTitleItem:dispose()
	self.data = nil;

    self:superCall("dispose");
end

function Lua_ServerTitleItem:setData(data)
    self.data = data;
    if data == nil then
        return;
    end

    self.txt.text = data.name;
    self:updateData();
end

function Lua_ServerTitleItem:updateData()
    if self.data ~= nil and self.data.selected then
        self.bg:setAltas("login_atlas", "ui_dlcj_window_006");
        self.bg:SetDimensions(233,80);
        self.bg:setLocation(5,-1,0);
    else
        self.bg:setAltas("login_atlas", "ui_dlcj_window_004");
        self.bg:SetDimensions(224,83);
        self.bg:setLocation(0,0,0);
    end
end

function Lua_ServerTitleItem:onPressClick()
    if self.data == nil then
        return;
    end

    if not self.data.selected then
	    Lua_MsgUtil.callFunc("SELECTE_SERVER_INDEX", self.data.zone);
	end
end