-- 登录创角动画挂件
Lua_HangerShowPanel = class("Lua_HangerShowPanel", Lua_DisplayObject);
function Lua_HangerShowPanel:ctor(p, isFlip)
	self:superCall("ctor", p, nil, true);
	self._isFlip = isFlip;
	self._createTime = 0;
	self._hangerTime = 0;
end

function Lua_HangerShowPanel:buildShowItem()
	self:superCall("buildShowItem");

	local img = UICreate.createUIAtlasImage(content, "iconantlas2", "begin_widget_004", 0, 0, 0, 0);
    img.siblingIndex = 1;

    TweenUtil.getInstance():stop(self.content);
    if self._isFlip == true then
	    LuaUtil.setObjScale(self.content, -0.1, 0.1, 0.1);
	    TweenUtil.getInstance():addTweenTargetScale(self.content, 0.5, 0, -1, 1, 1, 0, false);
	else
		LuaUtil.setObjScale(self.content, 0.1, 0.1, 0.1);
		TweenUtil.getInstance():addTweenTargetScale(self.content, 0.5, 0, 1, 1, 1, 0, false);
	end
end

function Lua_HangerShowPanel:dispose()
	TweenUtil.getInstance():stop(self.content);
	self:superCall("dispose");
end

function Lua_HangerShowPanel.Get:hangerTime()
	return self._hangerTime;
end

function Lua_HangerShowPanel.Set:hangerTime(value)
    self._hangerTime = value;
    self._createTime = getTime();
end

function Lua_HangerShowPanel:checkOverShowTime()
    local dt = (getTime() - self._createTime) * 1000;
    return self._hangerTime <= dt;
end