Lua_DragContainerItem = class("Lua_DragContainerItem", Lua_DisplayObject);
function Lua_DragContainerItem:ctor(p, skin)
	self.frameBuild = false;
	self._selected = false;
	self:superCall("ctor", p, skin, false);
end

function Lua_DragContainerItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_DragContainerItem:checkInBound(posX, posY)
	local minX = self.centerPosX - self.w / 2;
	local maxX = self.centerPosX + self.w / 2;
	local minY = self.centerPosY - self.h / 2;
	local maxY = self.centerPosY + self.h / 2;
	if posX >= minX and posX <= maxX and posY >= minY and posY <= maxY then
		return true;
	end
	return false
end

function Lua_DragContainerItem:dispose()
	self._selected = false;
	self.cellWidth  = 0;
	self.cellHeight = 0;
	self:superCall("dispose");
end

function Lua_DisplayObject.Get:selected()
	return self._selected;
end

function Lua_DragContainerItem:setData(data)
end

function Lua_DragContainerItem:setCellSeqIndex(idx)
	self.cellSeqIndex = idx;
	self.content.name = self.classname..self.cellSeqIndex;
end

function Lua_DragContainerItem:onSelectionChange(bSelect)
	self._selected = bSelect;
end

function Lua_DragContainerItem:onPressClick()

end

function Lua_DragContainerItem:onLongPressClick()

end

function Lua_DragContainerItem:onMouseDownHandle()

end

function Lua_DragContainerItem:onMouseUpHandle()

end

function Lua_DragContainerItem:getWidth()
    return 0;
end

function Lua_DragContainerItem:getHeight()
    return 0;
end