-- 用户协议界面
checkRequire("Lua_ProtocolItem");
Lua_UserProtocolWindow = class("Lua_UserProtocolWindow", Lua_Window);
function Lua_UserProtocolWindow:ctor()
    self:superCall("ctor");
    
    self.windowName = "Lua_UserProtocolWindow";
    self.skinName = "UserProtocolWindow_skin";
    self.showBlackMask = true;
    self.isClickClose = true;
    self.openSound = "";
    self.closeSound = "";
    self.width = 600;
	self.height = 580;
end

function Lua_UserProtocolWindow:buildShowItem()
    self:superCall("buildShowItem");
    
    self.btnClose:setLocation(self.width / 2 - 5, self.height / 2 + 70);
    self.btnClose:addClickFuntion(self, self.onBtnCloseClick);

    self.sureBtn:addClickFuntion(self, self.onBtnCloseClick);
    self.sureBtn:setLangValue(123606);

    self.dragList = Lua_DragList.new(self.content, 600, 580, Lua_AxisDefine.Vertical);
    self.dragList:setListCell(Lua_ProtocolItem, 600, 27, 1);
    self.dragList:setLocation(0, 250);
    self.dragList.name = "dragList";
end

function Lua_UserProtocolWindow:dispose()
    if self.dragList ~= nil then
    	self.dragList:dispose();
    	self.dragList = nil;
    end

    self:superCall("dispose");
end

function Lua_UserProtocolWindow:showWin(param)
    self:superCall("showWin", param);
    
    if param ~= nil then
    	local arr = string.split(param, "\n");
    	if arr ~= nil and arr:getSize() > 0 then
	        self.updateContentTx.text = arr[1];
	    end
        self.dragList:setArrayData(arr);
    end
end